Skip to main content
ExLibris
  • Subscribe by RSS
  • ExLibris Dev

    System Checks Error after Upgrade to SP 4.0.0

    • Article Type: General
    • Product: Rosetta

    Problem Symptoms:
    After the Upgrade to Rosetta version 4.0 there is an error with the System Checks.
    The StartUp-PluginsChecker ends with the errors (such as "the script plugin: MP3toWaveMigrationTool, version: 3.0 was not deployed to the dataBase").

    Cause:
    Old versions of some script plugins exists under $op_dir/plugins/bundled/bin

    Those plugins should not be deployed, and therefore wrongly appear as an error.

    Resolution:
    Fix:
    Delete the old versions and run the system check again. This has to be done only once.

    Additional Information

    * These errors does not indicate any functional issues with the plugins.

    * In version 4.0.1 there is additional improvement in the plugin deployment and upgrade mechanism, that will ensure that in future upgrades of plugins, the old versions will be properly removed. This improvement ensures that the problem will not reoccur with new plugin versions, but it does not solve the problem for old versions of plugins already existing, that should be removed manually (or the errors can be ignored).


    • Article last edited: 12/2/2014
    //doorbell.io feedback widged